## org.apache.cassandra.db
Class ReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand

Direct Known Subclasses:
  SliceByNamesReadCommand, SliceFromReadCommand

    public abstract class ReadCommand

extends java.lang.Object

Field Summary
`static byte` `CMD_TYPE_GET_SLICE`
`static byte` `CMD_TYPE_GET_SLICE_BY_NAMES`
`protected byte` `commandType`
`static java.lang.String` `DO_REPAIR`
`static java.lang.String` `EMPTY_CF`
`java.lang.String` `key`
`QueryPath` `queryPath`
`java.lang.String` `table`

Constructor Summary
`protected` `ReadCommand(java.lang.String table, java.lang.String key, QueryPath queryPath, byte cmdType)`

Method Summary
`abstract ReadCommand` `copy()`
`java.lang.String` `getColumnFamilyName()`
`protected AbstractType` `getComparator()`
`abstract Row` `getRow(Table table)`
`boolean` `isDigestQuery()`
`Message` `makeReadMessage()`
`static org.apache.cassandra.db.ReadCommandSerializer` `serializer()`
`void` `setDigestQuery(boolean isDigestQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DO_REPAIR

    public static final java.lang.String DO_REPAIR

See Also:
  Constant Field Values

### CMD_TYPE_GET_SLICE_BY_NAMES

    public static final byte CMD_TYPE_GET_SLICE_BY_NAMES

See Also:
  Constant Field Values

### CMD_TYPE_GET_SLICE

    public static final byte CMD_TYPE_GET_SLICE

See Also:
  Constant Field Values

### EMPTY_CF

    public static final java.lang.String EMPTY_CF

See Also:
  Constant Field Values

### queryPath

    public final QueryPath queryPath

### table

    public final java.lang.String table

### key

    public final java.lang.String key

### commandType

    protected final byte commandType

Constructor Detail

### ReadCommand

    protected ReadCommand(java.lang.String table,
                          java.lang.String key,
                          QueryPath queryPath,
                          byte cmdType)

Method Detail

### serializer

    public static org.apache.cassandra.db.ReadCommandSerializer serializer()

### makeReadMessage

    public Message makeReadMessage()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDigestQuery

    public boolean isDigestQuery()

### setDigestQuery

    public void setDigestQuery(boolean isDigestQuery)

### getColumnFamilyName

    public java.lang.String getColumnFamilyName()

### copy

    public abstract ReadCommand copy()

### getRow

    public abstract Row getRow(Table table)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getComparator

    protected AbstractType getComparator()

Copyright © 2010 The Apache Software Foundation